From fc4570783b4552459a97dd67e20043eeb87ad09a Mon Sep 17 00:00:00 2001
From: Maxime Ripard <maxime@cerno.tech>
Date: Wed, 16 Mar 2022 09:51:44 +0100
Subject: [PATCH] Revert "drm/vc4: Increase the core clock based on HVS
 load"

This reverts commit 02c8543cc6940f8201e9beb601bd56421d911e83.
---
 drivers/gpu/drm/vc4/vc4_drv.h |  1 -
 drivers/gpu/drm/vc4/vc4_kms.c | 13 +------------
 2 files changed, 1 insertion(+), 13 deletions(-)

--- a/drivers/gpu/drm/vc4/vc4_drv.h
+++ b/drivers/gpu/drm/vc4/vc4_drv.h
@@ -326,7 +326,6 @@ struct vc4_hvs {
 	u32 __iomem *dlist;
 
 	struct clk *core_clk;
-	struct clk_request *core_req;
 
 	/* Memory manager for CRTCs to allocate space in the display
 	 * list.  Units are dwords.
--- a/drivers/gpu/drm/vc4/vc4_kms.c
+++ b/drivers/gpu/drm/vc4/vc4_kms.c
@@ -402,11 +402,6 @@ static void vc4_atomic_commit_tail(struc
 						500000000, state_rate);
 
 		core_req = clk_request_start(hvs->core_clk, core_rate);
-		/*
-		 * And remove the previous one based on the HVS
-		 * requirements if any.
-		 */
-               clk_request_done(hvs->core_req);
 	}
 
 	drm_atomic_helper_commit_modeset_disables(dev, state);
@@ -436,14 +431,8 @@ static void vc4_atomic_commit_tail(struc
 		drm_dbg(dev, "Running the core clock at %lu Hz\n",
 			new_hvs_state->core_clock_rate);
 
-		/*
-		 * Request a clock rate based on the current HVS
-		 * requirements.
-		 */
-		hvs->core_req = clk_request_start(hvs->core_clk,
-						  new_hvs_state->core_clock_rate);
+		clk_set_min_rate(hvs->core_clk, new_hvs_state->core_clock_rate);
 
-		/* And drop the temporary request */
 		clk_request_done(core_req);
 
 		drm_dbg(dev, "Core clock actual rate: %lu Hz\n",
